<?php

	/*
		Computerhilfe.de Gaestebuch
		(c) 2005 - Today by Computerhilfen.de Team
		---------------------------------------------------------------------
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		at your option) any later version.
		
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with this program; if not, see < http://www.gnu.org/licenses/ >
		---------------------------------------------------------------------
		Last Modification: (/guestbook.php) October, 15th 2008
	*/

	ob_start();
	// Klasse einbinden
	include('myGB/myGB-lib/myGB-classes/main.class.php');
	// BB-Code-Funktion einbinden
	include('myGB/myGB-lib/myGB-functions/bbcode.function.php');
	// Config-Datei einbinden
	include('myGB-config.inc.php');

	// Falls der Captcha-Test aktiv ist...
	if(strtolower($captchatest) == 'on')
	{
		// Und der User das Formular abgesendet hat...
		if(isset($_POST['send']))
		{
			// Rechenaufgabe nochmal per PHP berprfen
			if(trim($_POST['myGBcode']) == $_REQUEST['l'] AND isset($_POST['myGBcode'])) $inserttest = true;
			else $inserttest = false;
		}
	}
	// Ansonsten (falls inaktiv) "Rechenaufgabe" auch als gelst ansehen
	else $inserttest = true;

	// Falls der User das Formular abgeschickt hat und die Rechenaufgabe richtig war, Eintrag einfgen
	if(isset($_POST['send']) and $inserttest == true)
	{
		// Zurck auf Gstebuch weiterleiten
		
		if(preg_match('#?#si', $guestbook) < 1) $guestbook .= '?'; // Pfad zum Gstebuch vorbereiten (wg. eventuellem Query-String)
		header("Location: ".$guestbook."&page=1");

		//Alles in eine Variable hintereinander schreiben
		if(trim($_POST['myGBname']) == '') $_POST['myGBname'] = 'Anonymous';
		$GBeintrag = str_replace('|', '&#9474;', $_POST['myGBname'])."|"; // der Name aus dem Formular
		$GBeintrag .= str_replace('|', '&#9474;', $_POST['myGBhp'])."|"; // die Website aus dem Formular
		$GBeintrag .= str_replace('|', '&#9474;', $_POST['myGBmail'])."|"; // die Mail-Adresse aus dem Formular
		$GBeintrag .= time()."|"; // das Datum aus dem Formular, als Timestamp speichern (damit das Datum formatiert werden kann im Template)
	
		/*
		Das Zeichen '|' wird als Trennzeichen in der Textdatei des Gstebuchs verwendet.
		Falls jemand in der nachricht ein | verwendet hat, wird es hier durch HTML ersetzt.
		*/
		$_POST['myGBtext'] = str_replace("|", "&#9474;", $_POST['myGBtext']);
	  
		//Alle HTML-Tags des benutzers "entschrfen"
		$_POST['myGBtext'] = str_replace("<","&lt;",$_POST['myGBtext']);
		$_POST['myGBtext'] = str_replace(">","&gt;",$_POST['myGBtext']);
		
		// berprfen, ob magic_quotes aktiv ist, falls ja, Slashes entfernen
		if(get_magic_quotes_gpc()) $_POST['myGBtext'] = stripslashes($_POST['myGBtext']);
	
		// Zeilenumbrche ersetzen, da anhand dieser sonst die Trennung der Datenstze erfolgen wrde
		$_POST['myGBtext'] = str_replace("\r\n", "<br>", $_POST['myGBtext']);
		$_POST['myGBtext'] = str_replace("\r", "<br>", $_POST['myGBtext']);
		$_POST['myGBtext'] = str_replace("\n", "<br>", $_POST['myGBtext']);
		
		// Anfhrungszeichen als Sonderzeichen behandeln
		$_POST['myGBtext'] = addslashes($_POST['myGBtext']);
	
		// Umbruch als Trennzeichen am Ende des Datensatzes hinzufgen
		$GBeintrag .= $_POST['myGBtext']."\r\n";
		
		/*
		Den Eintrag in die Textdatei schreiben und dabei vor
		gleichzeitigem Mehrfachzugriff schtzen
		*/
		$openfile = fopen($textfile, "a");
		flock($openfile,2); // Schreib-Sperre fr Datei verhngen, damit keiner in Datei schreibt
		fwrite($openfile, $GBeintrag);
		flock($openfile,3); // Schreibsperre aufheben
		fclose($openfile);

	}
	ob_clean();	
	
	/*
	Weitere Erklrungen zum Nachfolgenden Teil	siehe Dokumentation in /myGB/myGB-dokumentation/index.html
	oder in der Klasse myGB_template() in /myGB/myGB-lib/myGB-classes/main.class.php
	*/

	// Neues Objekt deklarieren (Gstebuch)
	$gb = new myGB_template('./', false);
	
	// Gstebuch ausgeben
	echo $gb->myGB_prepare_template();

	
?>