<?php

	/*
		Computerhilfe.de Gaestebuch
		(c) 2005 - Today by Computerhilfen.de Team
		---------------------------------------------------------------------
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		at your option) any later version.
		
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with this program; if not, see < http://www.gnu.org/licenses/ >
		---------------------------------------------------------------------
		Last Modification: (/myGB/myGB-admin/frame.php) October, 15th 2008
	*/

	include("logincheck.php");


	ob_start();
	// Klasse einbinden
	include('../myGB-lib/myGB-classes/main.class.php');
	// BB-Code-Funktion einbinden
	include('../myGB-lib/myGB-functions/bbcode.function.php');
	// Config-Datei einbinden
	include('../../myGB-config.inc.php');

	// Lschen von Eintrgen
	if( $_REQUEST['del'] == 'true' and isset($_REQUEST['eintrag']) )
	{		
		$eintraege = @file('../../'.$textfile); // Alle Eintrge auslesen
		$max = count($eintraege); // Eintrge zhlen
		$openfile = fopen('../../'.$textfile, "w"); // Datei ffnen und Gre auf 0 Byte setzen
		for($a = 0; $a < $max; $a++)
		{
			if($a != $_REQUEST['eintrag']) // Alle Beitrge in die Textdatei schreiben bis auf den zu Lschenden Eintrag
			{
				flock($openfile,2); // Schreib-Sperre fr Datei verhngen, damit keiner in Datei schreibt
				fwrite($openfile, $eintraege[$a]);
				flock($openfile,3); // Schreibsperre aufheben
			}
		}
		// Datei wieder schlieen
		fclose($openfile);
	}
	
	if( isset($_POST['submit']) and isset($_REQUEST['eintrag']) )
	{
		$eintraege = @file('../../'.$textfile); // Alle Eintrge auslesen
		$max = count($eintraege); // Eintrge zhlen
		$openfile = fopen('../../'.$textfile, "w"); // Datei ffnen und Gre auf 0 Byte setzen
		$_REQUEST['eintrag'] = (int) $_REQUEST['eintrag'];
		for($a = 0; $a < $max; $a++)
		{
			// Alle Eintrge in Textdatei schreiben bis auf den zu Kommentierenden Eintrag
			// (oder der Kommentar ist "leer", dann auch Original wieder in Datei schreiben
			if($a == $_REQUEST['eintrag'] AND trim($_POST['komment']) == '')
			{
				// Zeilenumbruch am Ende des Eintrags entfernen um Kommentar hinzufgen
				$eintraege[$a] = trim($eintraege[$a]);
				// Kommentar hinzufgen (Kleiner Absatz und Einrcken mit [list] und Absatz wieder hinzufgen
				$eintraege[$a] = $eintraege[$a].'[list][item][i]'.$_POST['komment'].'[/i][/item][/list]'."\r\n";
			}
			flock($openfile,2); // Schreib-Sperre fr Datei verhngen, damit keiner in Datei schreibt
			fwrite($openfile, $eintraege[$a]);
			flock($openfile,3); // Schreibsperre aufheben
		}
		fclose($openfile);
	}
	
	/*
	Weitere Erklrungen zum Nachfolgenden Teil	siehe Dokumentation in /myGB/myGB-dokumentation/index.html
	oder in der Klasse myGB_template() in /myGB/myGB-lib/myGB-classes/main.class.php
	*/

	// Neues Objekt deklarieren (Gstebuch)
	$gb = new myGB_template('../../', true);
	
	// Gstebucheintrge ausgeben
	echo $gb->myGB_show_entries();
	
	echo '<br>';
	
	// Pager ausgeben
	echo $gb->myGB_show_pager();
	
?>	